Extending Qt Creator Manual | DebuggerRunTool

Extending Qt Creator Manual 4.4.0

# DebuggerRunTool Class

(Debugger::DebuggerRunTool)

Inherits: | ProjectExplorer::RunWorker

- List of all members, including inherited members

## Public Functions

| DebuggerRunTool(ProjectExplorer::RunControl *runControl)
| DebuggerRunTool(ProjectExplorer::RunControl *runControl, const DebuggerStartParameters &sp)
| DebuggerRunTool(ProjectExplorer::RunControl *runControl, const Internal::DebuggerRunParameters &rp)
| ~DebuggerRunTool()
void | abortDebugger()
Internal::DebuggerEngine * | activeEngine() const
void | appendSolibSearchPath(const QString &str)
void | debuggingFinished()
Internal::DebuggerEngine * | engine() const
bool | isCppDebugging() const
bool | isDying() const
bool | isQmlDebugging() const
void | notifyInferiorIll()
int | portsUsedByDebugger() const
void | quitDebugger()
Internal::DebuggerRunParameters & | runParameters()
const Internal::DebuggerRunParameters & | runParameters() const
void | setRunParameters(const Internal::DebuggerRunParameters &rp)
void | setStartParameters(const DebuggerStartParameters &sp)
void | showMessage(const QString &msg, int channel = LogDebug, int timeout = -1)
void | start() override
void | startDying()
void | startFailed()
void | stop() override

- 23 public functions inherited from ProjectExplorer::RunWorker

## Signals

void | aboutToNotifyInferiorSetupOk()

- 2 signals inherited from ProjectExplorer::RunWorker

## Static Public Members

void | setBreakOnMainNextTime()

- 1 static public member inherited from ProjectExplorer::RunWorker

## Member Function Documentation

### DebuggerRunTool::DebuggerRunTool(ProjectExplorer::RunControl *runControl)

Default constructs an instance of DebuggerRunTool.

### DebuggerRunTool::DebuggerRunTool(ProjectExplorer::RunControl *runControl, const DebuggerStartParameters &sp)

Default constructs an instance of DebuggerRunTool.

### DebuggerRunTool::DebuggerRunTool(ProjectExplorer::RunControl *runControl, const Internal::DebuggerRunParameters &rp)

Default constructs an instance of DebuggerRunTool.

### DebuggerRunTool::~DebuggerRunTool()

Destroys the instance of DebuggerRunTool.

### void DebuggerRunTool::abortDebugger()

### `[signal]` void DebuggerRunTool::aboutToNotifyInferiorSetupOk()

### Internal::DebuggerEngine *DebuggerRunTool::activeEngine() const

### void DebuggerRunTool::appendSolibSearchPath(const QString &str)

### void DebuggerRunTool::debuggingFinished()

### Internal::DebuggerEngine *DebuggerRunTool::engine() const

### bool DebuggerRunTool::isCppDebugging() const

### bool DebuggerRunTool::isDying() const

### bool DebuggerRunTool::isQmlDebugging() const

### void DebuggerRunTool::notifyInferiorIll()

### int DebuggerRunTool::portsUsedByDebugger() const

### void DebuggerRunTool::quitDebugger()

### Internal::DebuggerRunParameters &DebuggerRunTool::runParameters()

See also setRunParameters().

### const Internal::DebuggerRunParameters &DebuggerRunTool::runParameters() const

### `[static]` void DebuggerRunTool::setBreakOnMainNextTime()

### void DebuggerRunTool::setRunParameters(const Internal::DebuggerRunParameters &rp)

See also runParameters().

### void DebuggerRunTool::setStartParameters(const DebuggerStartParameters &sp)

### void DebuggerRunTool::showMessage(const QString &msg, int channel = LogDebug, int timeout = -1)

### void DebuggerRunTool::start()

### void DebuggerRunTool::startDying()

### void DebuggerRunTool::startFailed()

### void DebuggerRunTool::stop()